diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 8376b47..84aa41a 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -34687,7 +34687,6 @@ The IO state manipulation routines assume that
 \item there is a reduction stack
 \end{itemize}
 \calls{ioclear}{line-clear}
-\calls{ioclear}{token-stack-clear}
 \calls{ioclear}{reduce-stack-clear}
 \uses{ioclear}{current-fragment}
 \uses{ioclear}{current-line}
@@ -34698,7 +34697,9 @@ The IO state manipulation routines assume that
  (declare (special current-fragment current-line $boot $spad))
   (setq current-fragment nil)
   (line-clear current-line)
-  (token-stack-clear)
+  (token-install nil nil current-token nil)
+  (token-install nil nil next-token nil)
+  (token-install nil nil prior-token nil)
   (reduce-stack-clear)
   (if (or $boot $spad) (next-lines-clear))
   nil)
diff --git a/changelog b/changelog
index 106664f..06a1e8e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20110511 tpd src/axiom-website/patches.html 20110511.01.tpd.patch
+20110511 tpd src/interp/parsing.lisp treeshake interpreter
+20110511 tpd books/bookvol5 treeshake interpreter
 20110504 tpd src/axiom-website/patches.html 20110504.01.tpd.patch
 20110504 tpd src/interp/parsing.lisp treeshake interpreter
 20110504 tpd books/bookvol5 treeshake interpreter
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cbc3550..49e68de 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3466,5 +3466,7 @@ src/input/erf.input add examples of erf integration<br/>
 books/bookvol5 treeshake interpreter<br/>
 <a href="patches/20110504.01.tpd.patch">20110504.01.tpd.patch</a>
 books/bookvol5 treeshake interpreter<br/>
+<a href="patches/20110511.01.tpd.patch">20110511.01.tpd.patch</a>
+books/bookvol5 treeshake interpreter<br/>
  </body>
 </html>
diff --git a/src/interp/parsing.lisp.pamphlet b/src/interp/parsing.lisp.pamphlet
index 034eaef..db4c9bc 100644
--- a/src/interp/parsing.lisp.pamphlet
+++ b/src/interp/parsing.lisp.pamphlet
@@ -46,16 +46,6 @@ Current-Token and Next-Token by procedures Current Token, Next Token, and
 Advance Token. The functions Match Current Token and Match Next Token recognize
 classes of tokens, by type, or by type and symbol.  The current and next tokens
 can be shoved back on the input stream (to the current line) with Unget-Tokens.
-\begin{chunk}{*}
-
-(defmacro token-stack-clear ()
- `(progn 
-   (setq valid-tokens 0)
-   (token-install nil nil current-token nil)
-   (token-install nil nil next-token nil)
-   (token-install nil nil prior-token nil)))
-
-\end{chunk}
 \subsubsection{Line handling}
 \begin{chunk}{*}
 
